openapi: 3.0.0
info:
  title: Meet Your Friends
  description: |-
    Join us at the meet new friends company, where we strive to find each and one of us a friend.
  contact:
    email: petr.skoda@matfyz.cuni.cz
  license:
    name: MIT
    url: https://opensource.org/license/mit
  version: 0.1.0
paths:
  /groups:
    get:
      summary: List of all groups.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/groups'
        default:
          description: Unexpected error
components:
  schemas:
    groups:
      type: array
      items:
        type: object
        properties:
          identifier:
            type: string
            example: 001
          homepage:
            type: string
            example: https://webik.ms.mff.cuni.cz/
          users:
            type: array
            items:
              type: string
              example: 001
